#ifndef ARDUINOLIB_H
#define ARDUINOLIB_H

//typedef struct string {
//    const char *msg
//} Arduinolib__string_out;

typedef struct byte_out {
  uint8_t value ;
} byte_out ;

typedef byte_out Arduinolib__bitOr_out ;

typedef struct Arduinolib__dinit {
} Arduinolib__dinit_out;

typedef struct Arduinolib__lcd_init {
} Arduinolib__lcd_init_out;

typedef struct Arduinolib__lcd_write {
} Arduinolib__lcd_write_out;

typedef struct Arduinolib__lcd_cmd {
} Arduinolib__lcd_cmd_out;

typedef struct Arduinolib__lcd_char {
} Arduinolib__lcd_char_out;

typedef struct Arduinolib__lcd_string {
} Arduinolib__lcd_string_out;

void Arduinolib__dinit_step(Arduinolib__dinit_out *o);

void Arduinolib__lcd_init_step(Arduinolib__lcd_init_out *o);

void Arduinolib__lcd_write_step(uint8_t info, Arduinolib__lcd_write_out *o);

void Arduinolib__lcd_cmd_step(uint8_t cmd, Arduinolib__lcd_cmd_out *o);

void Arduinolib__lcd_char_step(uint8_t char_data, Arduinolib__lcd_char_out *o);

void Arduinolib__lcd_string_step(uint8_t lstring[], int line, Arduinolib__lcd_string_out *o);

#endif